import React, { useState, useEffect } from 'react';
import { Select } from 'antd';
import apis from '../../services/apis';
import request from '../../utils/request'

const { Option } = Select;


/**
 *
 *
 * @param {*} props
 * @returns
 */
const OrganizationSelect = props => {
  const [data, setData] = useState([])
  const [value, setValue] = useState([])
  useEffect(() => {
    getBuildList();
  }, [])

  const getBuildList = e => {
    request({ ...apis.institution.list, params: { pageNum: 1, pageSize: 999 } }).then(data => {
        setData(data)
        checkValue(data)
        // 默认选中第一个
    })
  }


  const checkValue = (data) => {
    if (props.value) {
      const tempData = data.filter(f => f.institutionId == props.value)
      const va = (tempData.length > 0) ? props.value : '项目已下线，请重新选择项目'
      props.onChange(va)

    }
  }

  return (
      <Select
      showSearch
      value={props.value}
      style={{ width: '300px' }}
      placeholder="请选择项目"
      onChange={props.onChange}
      filterOption={(input, option) =>
        option.props.children && option.props.children.toLowerCase().indexOf(input.toLowerCase()) >= 0
      }>
          {/* <Option key="" value="">全部项目</Option> */}
          {data.map(building => (
            <Option key={building.institutionId} value={building.institutionId}>{building.institutionName}</Option>
          ))}
      </Select>
  )
}
export default OrganizationSelect
